Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.client
Interface I2CPMessageHandler

All Known Implementing Classes:
  BWLimitsMessageHandler, DestReplyMessageHandler, DisconnectMessageHandler, HandlerImpl, MessagePayloadMessageHandler, MessageStatusMessageHandler, RequestLeaseSetMessageHandler, SessionStatusMessageHandler, SetDateMessageHandler

    interface I2CPMessageHandler

Define a way to handle a particular type of message

Author:
  jrandom

Method Summary
`int` | `getType()`
`void` | `handleMessage(I2CPMessage message, I2PSessionImpl session)`

Method Detail

### getType

    int getType()

### handleMessage

    void handleMessage(I2CPMessage message,
                       I2PSessionImpl session)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD